Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Class RegistrationRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.muc.RegistrationRequiredException

All Implemented Interfaces:
  Serializable

    public class RegistrationRequiredException

extends Exception

Exception used for representing that the user needs to register with the room in order to perform the requested operation. There are many reasons why a registration-required error could occur such as: a user which is not a member tries to join a members-only room. A 407 error code is returned to the user that requested the invalid operation.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`RegistrationRequiredException()`
`RegistrationRequiredException(String msg)`
`RegistrationRequiredException(String msg, Throwable nestedThrowable)`
`RegistrationRequiredException(Throwable nestedThrowable)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationRequiredException

    public RegistrationRequiredException()

### RegistrationRequiredException

    public RegistrationRequiredException(String msg)

### RegistrationRequiredException

    public RegistrationRequiredException(Throwable nestedThrowable)

### RegistrationRequiredException

    public RegistrationRequiredException(String msg,
                                         Throwable nestedThrowable)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.